Loading...
Searching...
No Matches
pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT > Class Template Reference

Class to reason about occlusions. More...

`#include <pcl/recognition/hv/occlusion_reasoning.h>`

## Public Member Functions

| ZBuffering ()
| ZBuffering (int resx, int resy, float f)
| ~ZBuffering ()
void | computeDepthMap (typename pcl::PointCloud< SceneT >::ConstPtr &scene, bool compute_focal=false, bool smooth=false, int wsize=3)
void | filter (typename pcl::PointCloud< ModelT >::ConstPtr &model, typename pcl::PointCloud< ModelT >::Ptr &filtered, float thres=0.01)
void | filter (typename pcl::PointCloud< ModelT >::ConstPtr &model, pcl::Indices &indices, float thres=0.01)

## Detailed Description

template<typename ModelT, typename SceneT>
class pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >

Class to reason about occlusions.

Author
  Aitor Aldoma

Definition at line 52 of file occlusion_reasoning.h.

## Constructor & Destructor Documentation

## ZBuffering() [1/2]

template<typename ModelT, typename SceneT>

pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::ZBuffering | ( |  | ) |

Definition at line 53 of file occlusion_reasoning.hpp.

## ZBuffering() [2/2]

template<typename ModelT, typename SceneT>

pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::ZBuffering | ( | int | resx,
|  | int | resy,
|  | float | f )

Definition at line 46 of file occlusion_reasoning.hpp.

## ~ZBuffering()

template<typename ModelT, typename SceneT>

pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::~ZBuffering | ( |  | ) |

Definition at line 60 of file occlusion_reasoning.hpp.

## Member Function Documentation

## computeDepthMap()

template<typename ModelT, typename SceneT>

void pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::computeDepthMap | ( | typename pcl::PointCloud< SceneT >::ConstPtr & | scene,
|  | bool | compute_focal = false,
|  | bool | smooth = false,
|  | int | wsize = 3 )

Definition at line 111 of file occlusion_reasoning.hpp.

Referenced by pcl::HypothesisVerification< ModelT, SceneT >::addModels().

## filter() [1/2]

template<typename ModelT, typename SceneT>

void pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::filter | ( | typename pcl::PointCloud< ModelT >::ConstPtr & | model,
|  | pcl::Indices & | indices,
|  | float | thres = 0.01 )

Definition at line 77 of file occlusion_reasoning.hpp.

References pcl::PointCloud< PointT >::size().

## filter() [2/2]

template<typename ModelT, typename SceneT>

void pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::filter | ( | typename pcl::PointCloud< ModelT >::ConstPtr & | model,
|  | typename pcl::PointCloud< ModelT >::Ptr & | filtered,
|  | float | thres = 0.01 )

Definition at line 67 of file occlusion_reasoning.hpp.

References pcl::copyPointCloud(), and pcl::occlusion_reasoning::filter().

Referenced by pcl::HypothesisVerification< ModelT, SceneT >::addModels().

The documentation for this class was generated from the following files:

- pcl/recognition/hv/occlusion_reasoning.h
- pcl/recognition/impl/hv/occlusion_reasoning.hpp